org.apache.sling.maven.projectsupport.bundlelist.v1_0_0

## Class BundleList

- java.lang.Object
- - org.apache.sling.maven.projectsupport.bundlelist.BaseBundleList
  - - org.apache.sling.maven.projectsupport.bundlelist.v1_0_0.BundleList

All Implemented Interfaces:
  Serializable

    public class BundleList
    extends BaseBundleList
    implements Serializable

List of bundles.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BundleList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addStartLevel(StartLevel startLevel)` Method addStartLevel.
`String` `getModelEncoding()` Get the modelEncoding field.
`List<StartLevel>` `getStartLevels()` Method getStartLevels.
`void` `removeStartLevel(StartLevel startLevel)` Method removeStartLevel.
`void` `setModelEncoding(String modelEncoding)` Set the modelEncoding field.
`void` `setStartLevels(List<StartLevel> startLevels)` Set the startLevels field.

### Methods inherited from class org.apache.sling.maven.projectsupport.bundlelist.BaseBundleList

`add, get, merge, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleList

    public BundleList()

### Method Detail

#### addStartLevel

    public void addStartLevel(StartLevel startLevel)

Method addStartLevel.

Parameters:
  `startLevel` -

#### getModelEncoding

    public String getModelEncoding()

Get the modelEncoding field.

Returns:
  String

#### getStartLevels

    public List<StartLevel> getStartLevels()

Method getStartLevels.

Specified by:
  `getStartLevels` in class `BaseBundleList`
Returns:
  List

#### removeStartLevel

    public void removeStartLevel(StartLevel startLevel)

Method removeStartLevel.

Parameters:
  `startLevel` -

#### setModelEncoding

    public void setModelEncoding(String modelEncoding)

Set the modelEncoding field.

Parameters:
  `modelEncoding` -

#### setStartLevels

    public void setStartLevels(List<StartLevel> startLevels)

Set the startLevels field.

Parameters:
  `startLevels` -